# Symfony Content Management Framework

[![Build Status](https://travis-ci.org/symfony-cmf/symfony-cmf.svg?branch=master)](https://travis-ci.org/symfony-cmf/symfony-cmf)
[![Latest Stable Version](https://poser.pugx.org/symfony-cmf/symfony-cmf/version.png)](https://packagist.org/packages/symfony-cmf/symfony-cmf)
[![Total Downloads](https://poser.pugx.org/symfony-cmf/symfony-cmf/d/total.png)](https://packagist.org/packages/symfony-cmf/symfony-cmf)

This bundle is part of the [Symfony Content Management Framework (CMF)](http://cmf.symfony.com/)
and licensed under the [MIT License](LICENSE).

Note the main purpose of this repository is to offer a composer package that ties together various packages that will be used in most CMF projects. The bulk of the development is done in other repositories on the https://github.com/symfony-cmf organization.

The Symfony CMF project makes it easier for **developers** to add **CMS functionality** to applications built with the **Symfony PHP** framework. Key development principles for the provided **set of bundles** are **scalability**, **usability**, **documentation** and **testing**.

## Requirements

* Symfony 2.8+
* See also the `require` section of [composer.json](composer.json)


## Documentation

For the install guide and reference, see:

* [All Symfony CMF documentation](http://symfony.com/doc/master/cmf/index.html)- complete Symfony CMF reference
* [Symfony CMF Website](http://cmf.symfony.com/) - introduction, live demo, support and community links


## Contributing

Pull requests are welcome. Please see our
[CONTRIBUTING](https://github.com/symfony-cmf/symfony-cmf/blob/master/CONTRIBUTING.md)
guide.

Thanks to
[everyone who has contributed](https://github.com/symfony-cmf/symfony-cmf/contributors) already.
